View Issue Details

IDProjectCategoryView StatusLast Update
0001935ScribusImport / Exportpublic2005-06-29 08:29
ReporterAReichel Assigned Tofschmid  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSGentoo Linux 2005.0OS VersionKernel 2.6.11
Product Version1.2.2cvs 
Target VersionFixed in Version1.2.2cvs 
Summary0001935: Some SVG are imported wrong
Descriptionsome SVG are broken after importing.
Steps To Reproducetry to import the attached svg.
Additional Informationthe most svg-files work so far. only the one, i've attached, breaks. i don't know, why.
TagsNo tags attached.
Patch

Relationships

child of 0002931 acknowledged Metabug: SVG 

Activities

2005-05-01 15:57

 

gnome-dev-scanner.svg (40,541 bytes)

plinnell

2005-05-01 20:57

viewer   ~0004481

The SVG is perhaps not 100% to spec. It looks like it was opened in Illustrator and Iknscape with some non-standard extensions. Batik refuses to open the original.

Errors:

 rg.w3c.dom.DOMException: The current document is unable to create an element of the requested type (namespace: http://www.w3.org/2000/svg, name: xpacket).
    at org.apache.batik.dom.AbstractNode.createDOMException(Unknown Source)
    at org.apache.batik.dom.svg.ExtensibleSVGDOMImplementation.createElementNS(Unknown Source)
    at org.apache.batik.dom.svg.SVGOMDocument.createElementNS(Unknown Source)
    at org.apache.batik.dom.util.SAXDocumentFactory.startElement(Unknown Source)
    at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
    at org.apache.xerces.impl.dtd.XMLDTDValidator.startElement(Unknown Source)
    at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(Unknown Source)
    at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(Unknown Source)
    at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown Source)
    at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
    at org.apache.xerces.parsers.DTDConfiguration.parse(Unknown Source)
    at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
    at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    at org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Unknown Source)
    at org.apache.batik.dom.util.SAXDocumentFactory.createDocument(Unknown Source)
    at org.apache.batik.dom.svg.SAXSVGDocumentFactory.createDocument(Unknown Source)
    at org.apache.batik.dom.svg.SAXSVGDocumentFactory.createSVGDocument(Unknown Source)
    at org.apache.batik.bridge.DocumentLoader.loadDocument(Unknown Source)
    at org.apache.batik.swing.svg.SVGDocumentLoader.run(Unknown Source)

Then, I opened in Iknscape 0.41 and did "Save as Plain SVG" and Batik was happy.

That said, Scribus does not get the import correct.

2005-05-01 20:58

 

1935gnome-dev-scanner-plain.svg (30,755 bytes)

plinnell

2005-06-29 08:29

viewer   ~0005209

Tested both 1.2.2cvs and 1.3.0cvs.. Import perfectly now.

Issue History

Date Modified Username Field Change
2005-05-01 15:57 AReichel New Issue
2005-05-01 15:57 AReichel File Added: gnome-dev-scanner.svg
2005-05-01 20:57 plinnell Note Added: 0004481
2005-05-01 20:58 plinnell File Added: 1935gnome-dev-scanner-plain.svg
2005-05-01 20:59 plinnell Assigned To => fschmid
2005-05-01 20:59 plinnell Status new => assigned
2005-06-28 21:14 fschmid Status assigned => resolved
2005-06-28 21:14 fschmid Fixed in Version => 1.2.2cvs
2005-06-28 21:14 fschmid Resolution open => fixed
2005-06-29 08:29 plinnell Status resolved => closed
2005-06-29 08:29 plinnell Note Added: 0005209
2006-05-17 19:22 christoph_s Relationship added child of 0002931